<?php
namespace Claromentis\Infocapture\Filter;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_c42d618c08b720" . "c25b90ad5550e2d" . "b2f" => base64_decode("cmV" . "wb3" . "J0Z" . "XI="), "_ff248fe1eba68f190ea1f" . "f00a554acde" => base64_decode("YXNzaWduZWU" . "="), "_5159b3572969eca46acd1b2e1418" . "459c" => base64_decode("aW1wbG" . "9kZQ=="), "_5ecedeb8c083d4a2a4ebe" . "f5526097f58" => base64_decode("YXNzaWduZ" . "WVz"), "_7f5aa4e96d4b415a86ed72ebf" . "f677cbe" => base64_decode("cXVlcnk" . "="), "sta" . "tus" => base64_decode("c3" . "Rh" . "dH" . "Vz"), "_8af1b1bd0" . "c05175c85a" . "4cee44d47d" . "2da" => base64_decode("cXVl" . "cnlf" . "Zmll" . "bGRz"), "_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90" => base64_decode(""), "projec" . "t_id" => base64_decode("cHJvamVj" . "dF9pZA=="), "_7276e0af" . "756e529d3" . "0af7aaafe" . "4e7784" => base64_decode("YXJjaGl2Z" . "WQ="), "_7608a26" . "90229dd2" . "6ac43cb6" . "0aa2a7d9" . "7" => base64_decode("bGFzdF" . "9tb2Rp" . "ZmllZA" . "=="), "_1ac5cc48c34c5362e94d8667cc7b0dd" . "c" => base64_decode("LA=" . "="), "_83396dddfc39e26775d" . "1e61db5abf86b" => base64_decode("bW9ua" . "XRvcm" . "luZw=" . "="), "_8f3ef8878b2a82b830d051a05" . "9162317" => base64_decode("Y3JlYXRlZF9" . "mcm9t"), "_57c0a2f09e2a920c05" . "60baffc5e3d295" => base64_decode("cmV" . "wb3" . "J0Z" . "XJz"), "_f73dab606" . "630b388645" . "c4f7d3fbb1" . "3bb" => base64_decode("YXJyY" . "XlfbW" . "VyZ2U" . "="));
use Claromentis\Core\Util\StringUtil;
use Date;
use Psr\Http\Message\ServerRequestInterface;
use Throwable;
class IssueFilter extends AbstractFilter
{
    
    
    
    
    protected ?int $projectId = null;
    
    
    
    
    protected array $reporter = [];
    
    
    
    
    protected array $assignee = [];
    
    
    
    
    protected ?bool $archived = null;
    
    
    
    
    protected bool $monitoring = false;
    
    
    
    
    protected ?string $query = null;
    
    
    
    
    
    
    protected array $queryFields = [];
    
    
    
    
    
    
    
    public function fill(ServerRequestInterface $request) : void
    {
        $parameters = $request->getQueryParams();
        $this->setPaginationAttributesFromRequest($request);
        $this->setReporters($parameters[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c42d618c08b72" . "0c25b90ad5550e" . "2db2f"]] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe6" . "9e8159697c90"]);
        $this->setAssignees($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_ff248fe1eba68f190ea1ff00" . "a554acde"]] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93bebb00bbe6" . "9e8159697c90"]);
        $this->setStatus($parameters[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["sta" . "tus"]] ?? null);
        $this->setCreatedDate($this->formatDate($parameters[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8f3ef8878b2" . "a82b830d051a" . "059162317"]] ?? null));
        $this->setModifiedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7608a2690229dd26a" . "c43cb60aa2a7d97"]] ?? null));
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7276e0af756e529d30af" . "7aaafe4e7784"]])) {
            $this->setArchived(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7276e0af756e529d30af7a" . "aafe4e7784"]]));
        }
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_83396dddf" . "c39e26775d" . "1e61db5abf" . "86b"]])) {
            $this->setMonitoring(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_83396dddfc39e26775d1e61" . "db5abf86b"]]));
        }
        $this->setQuery($parameters[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_7f5aa4e96d4b415a86ed72e" . "bff677cbe"]] ?? null);
        if (isset($parameters[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8af1b1bd0c05175c85a4cee44d47d2d" . "a"]])) {
            $this->setQueryFields($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8af1b1bd0c051" . "75c85a4cee44d4" . "7d2da"]]);
        }
    }
    public function getProjectId() : ?int
    {
        return $this->projectId;
    }
    public function setProjectId(?int $projectId = null) : void
    {
        $this->projectId = $projectId;
    }
    public function getReporterList() : array
    {
        return $this->reporter;
    }
    public function setReporters(string $_c42d618c08b720c25b90ad5550e2db2f) : void
    {
        StringUtil::validateCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
        $this->reporter = StringUtil::splitCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
    }
    public function getAssigneeList() : array
    {
        return $this->assignee;
    }
    public function setAssignees(string $_ff248fe1eba68f190ea1ff00a554acde) : void
    {
        StringUtil::validateCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
        $this->assignee = StringUtil::splitCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
    }
    public function getArchived() : ?bool
    {
        return $this->archived;
    }
    public function setArchived(?bool $_7276e0af756e529d30af7aaafe4e7784) : void
    {
        $this->archived = $_7276e0af756e529d30af7aaafe4e7784;
    }
    public function getMonitoring() : bool
    {
        return $this->monitoring;
    }
    public function setMonitoring(bool $_83396dddfc39e26775d1e61db5abf86b) : void
    {
        $this->monitoring = $_83396dddfc39e26775d1e61db5abf86b;
    }
    public function getQuery() : ?string
    {
        return $this->query;
    }
    public function setQuery(?string $_7f5aa4e96d4b415a86ed72ebff677cbe) : void
    {
        $this->query = $_7f5aa4e96d4b415a86ed72ebff677cbe;
    }
    
    
    
    
    public function getQueryFields() : array
    {
        return $this->queryFields;
    }
    public function setQueryFields(string $_fc95e77eab852b63129161149bcdac0d) : void
    {
        StringUtil::validateCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
        $this->queryFields = StringUtil::splitCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
    }
    public function toArray() : array
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_f73dab606630b" . "388645c4f7d3fb" . "b13bb"](parent::toArray(), [$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["projec" . "t_id"] => $this->projectId, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_57c0a2f09e2a" . "920c0560baffc" . "5e3d295"] => !empty($this->reporter) ? $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_5159b35729" . "69eca46acd1" . "b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_1ac5cc48c34c5362e94d8667cc" . "7b0ddc"], $this->reporter) : null, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_5ecedeb8c083d4a2a4ebef552609" . "7f58"] => !empty($this->assignee) ? $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5159b3572969eca46acd1" . "b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_1ac5cc48c34c5362e94d8667cc7b0" . "ddc"], $this->assignee) : null, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7276e0af756e529d" . "30af7aaafe4e7784"] => $this->archived, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_83396dddfc39e26775d1e61db5abf8" . "6b"] => $this->monitoring, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["sta" . "tus"] => $this->status]);
    }
    
    
    
    
    
    
    
    
    
    private function formatDate(?string $_67a0d624aebcceb0abd5ce56a53ff06f) : ?Date
    {
        if ($_67a0d624aebcceb0abd5ce56a53ff06f === null) {
            return null;
        }
        try {
            return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f);
        } catch (Throwable $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            return null;
        }
    }
}